import { DeesElement, type TemplateResult } from '@design.estate/dees-element';
import * as appstate from '../../appstate.js';
declare global {
    interface HTMLElementTagNameMap {
        'ops-view-sourceprofiles': OpsViewSourceProfiles;
    }
}
export declare class OpsViewSourceProfiles extends DeesElement {
    accessor profilesState: appstate.IProfilesTargetsState;
    constructor();
    connectedCallback(): Promise<void>;
    static styles: import("@design.estate/dees-element").CSSResult[];
    render(): TemplateResult;
    private showCreateProfileDialog;
    private showEditProfileDialog;
    private deleteProfile;
}
